import { EventEmitter } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { State } from '../ngrx/reducers';
import { ControlValueAccessor } from '@angular/forms';
export declare class TagsSelectComponent implements ControlValueAccessor {
    private store;
    title: string;
    tags: Observable<any[]>;
    type: string;
    ngModelChange: EventEmitter<any>;
    private innerValue;
    private onChangeCallback;
    constructor(store: Store<State>);
    selected(): void;
    value: any;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(data: any): void;
}
